# $Revision: 1.11 $, $Date: 2007/08/25 15:18:30 $
%include	/usr/lib/rpm/macros.php
%define		_class		Math
%define		_subclass	Fraction
%define		_status		beta
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - Classes that represent and manipulate fractions
Summary(pl.UTF-8):	%{_pearname} - Klasy do przedstawiania i manipulowania ułamkami
Name:		php-pear-%{_pearname}
Version:	0.4.1
Release:	1
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	351f230b32ec265cb48ff08165bf9652
URL:		http://pear.php.net/package/Math_Fraction/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Classes that represent and manipulate fractions (x = a/b).

The Math_FractionOp static class contains definitions for:
- basic arithmetic operations,
- comparing fractions,
- greatest common divisor (gcd) and least common multiple (lcm) of two
  integers,
- simplifying (reducing) and getting the reciprocal of a fraction,
- converting a float to fraction.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Klasy do przedstawiania i manipulowania ułamkami (x = a/b).

Statyczna klasa Math_FractionOp zawiera definicje dla:
- podstawowych operacji arytmetycznych,
- porównywania ułamków,
- największego wspólnego dzielnika (NWD) i najmniejszej wspólnej
  wielokrotności (NWM) dwóch liczb,
- upraszczanie (skracanie) i obliczanie odwrotności ułamka,
- konwersja liczby na ułamek.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Math_Fraction.spec,v $
Revision 1.11  2007/08/25 15:18:30  adamg
- updated to 0.4.1

Revision 1.10  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.8  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.7  2006/03/29 22:29:17  glen
- rel 3 (rebuild with less deps)

Revision 1.6  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.5  2005/10/05 20:59:19  glen
- rel 2

Revision 1.4  2005/09/28 21:33:15  glen
- new pear packaging

Revision 1.3  2005/09/02 06:51:54  adamg
- updated to 0.4.0

Revision 1.2  2004/12/28 14:08:03  adamg
- typo in URL
- put commas at the end of each list item
- fixed pl description

Revision 1.1  2004/12/28 14:04:02  adamg
- new
